%define module_name HTML-T5
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libtidy-devel perl(Alien/Base/Wrapper.pm) perl(Alien/TidyHTML5.pm) perl(Carp.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long.pm) perl(LWP/Simple.pm) perl(Test/Builder.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(constant.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.014
Release: alt1
Summary: HTML validation in a Perl object
Group: Development/Perl
License: artistic_2
URL: http://github.com/shlomif/html-tidy5

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz

%description
`HTML::T5' is an HTML checker in a handy dandy object.  It's meant
as a replacement for HTML::Lint.  If you're currently
an HTML::Lint user looking to migrate, see the section
the Converting from HTML::Lint entry elsewhere in this document.

`HTML::T5' was forked from the HTML::Tidy5 manpage by Andy Lester (PETDANCE), thanks.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes.HTML-Tidy5 README.md Changes
%perl_vendor_archlib/H*
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%files scripts
%_bindir/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.014-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.013-alt2
- rebuild with perl 5.38

* Sun Apr 10 2022 Igor Vlasenko <viy@altlinux.org> 0.013-alt1
- updated by package builder

* Thu Apr 07 2022 Igor Vlasenko <viy@altlinux.org> 0.011-alt1
- updated by package builder

* Fri Nov 19 2021 Igor Vlasenko <viy@altlinux.org> 0.010-alt1
- initial import by package builder

